<?php
global $njba_admin_option;
if ( isset( $_REQUEST['save'] ) ) {
	$modules = array_map( 'sanitize_text_field', $_POST['njba_options'] );
	update_option( 'njba_options', $modules );
}
/**
 * njba admin group settings.
 * @return void
 * @since 1.0.0
 */
function njbaAdminGroupSettings() {
	register_setting( 'njba_option_group', 'njba_options' );
}

add_action( 'admin_init', 'njbaAdminGroupSettings' );
?>
<div id="fl-njba-general-form" class="fl-settings-form">
    <h3 class="fl-settings-form-header"><?php _e( 'General Settings', 'bb-njba' ); ?></h3>
    <div class="wrap">
        <form name="njba_general-form" method="post">
			<?php $settings = get_option( 'njba_options' ); ?>
			<?php settings_fields( 'njba_general_form_options' );
			if ( is_array( $settings ) ) {
				$google_static_map_api_key = $settings['google_static_map_api_key'];
				$enable_row_sep            = ( array_key_exists( 'enable_row_sep', $settings ) && $settings['enable_row_sep'] == 1 ) ? ' checked' : '';
				$facebook_app_id           = $settings['facebook_app_id'];
			}
			?>
            <table class="form-table">
                <tbody>
                <tr>
                    <th scope="row"><?php _e( 'Google Static Map API Key ' ); ?></th>
                    <td>
                        <input type="text" name="njba_options[google_static_map_api_key]" class="regular-text" value="<?php echo $google_static_map_api_key; ?>">
                        <p>
                            <em>Click "Get a Key" from <a href="https://developers.google.com/maps/documentation/static-maps/" target="_blank">this page</a>. See <a
                                        href="https://wpdevelopers.co.uk/knowledge-base/generating-google-maps-javascript-api-key-gif/?utm_source=wpd-bb-modules-admin-settings&amp;utm_campaign=google-api-key&amp;utm_medium=wpd-bb-modules"
                                        target="_blank">this</a> article for instructions.</em>
                        </p>
                    </td>
                </tr>
				<?php if ( class_exists( 'njba_row_sep' ) ) { ?>
                    <tr>
                        <th scope="row"><?php _e( 'Enable Row separator' ); ?></th>
                        <td>
                            <input type="checkbox" id="enable_row_sep" name="njba_options[enable_row_sep]" value="1" <?php echo $enable_row_sep; ?>/>
                            <label for="enable_row_sep"><?php _e( 'To enable row separator check this box.' ); ?></label>
                        </td>
                    </tr>
				<?php } ?>
                <tr>
                    <th scope="row"><?php _e( 'Facebook App ID', 'bb-njba' ); ?></th>
                    <td>
                        <input type="text" name="njba_options[facebook_app_id]" class="regular-text" value="<?php echo $facebook_app_id; ?>">
                        <p>
                            <em><?php _e( 'To get your Facebook App ID, you need to', 'bb-njba' ); ?> <a href="https://developers.facebook.com/docs/apps/register/"
                                                                                                         target="_blank"><?php _e( 'register and configure',
										'bb-njba' ); ?></a>. <?php _e( 'an app. Once registered, add the domain to your', 'bb-njba' ); ?> <a
                                        href="https://developers.facebook.com/apps/" target="_blank"><?php _e( 'App Domains', 'bb-njba' ); ?></a> </em>
                        </p>
                    </td>
                </tr>
                </tbody>
            </table>
			<?php
			$NJBAUsage = new NJBA_Usage();
			if ( $NJBAUsage->njbaShowSettings() ) {
				$usage = get_site_option( 'njba_usage_enabled', false );
				if ( is_network_admin() ) {
					$endpoint = 'admin.php?page=njba-admin-setting#general';
				} else {
					$endpoint = 'admin.php?page=njba-admin-setting#general';
				}
				$url = wp_nonce_url( admin_url( $endpoint ), 'stats_enable' );
				if ( $usage == '1' ) {
					$text = __( 'Disable', 'bb-njba' );
					$url  = add_query_arg( array( 'njba_usage' => 0 ), $url );
				} else {
					$text = __( 'Enable', 'bb-njba' );
					$url  = add_query_arg( array( 'njba_usage' => 1 ), $url );
				}
				$btn = sprintf( '<a class="button button-primary" href="%s">%s</a>', $url, $text ); ?>
                <hr/>
                <h3 class="fl-settings-form-header"><?php echo __( 'Send Usage Data', 'bb-njba' ) ?></h3>
                <p><?php _e( 'If enabled we will send anonymous usage stats to help improve the plugin.', 'bb-njba' ); ?></p>
                <p><?php echo $btn; ?></p>
				<?php echo $NJBAUsage->njbaGetCollectData(); ?>
			<?php } ?>
            <hr/>
            <p class="submit">
                <input type="submit" class="button button-primary" name="save" value="<?php _e( 'Save Changes', 'bb-njba' ) ?>"/>
            </p>
        </form>
    </div>
</div>
