<?php
global $njba_admin_option;
if ( isset( $_REQUEST['update'] ) ) {
	$beaver_modules = get_option( '_fl_builder_enabled_modules' );
	$new_modules = array();
	foreach($beaver_modules as $key => $value){
	   if (strpos($value, 'njba-') === false) {
	     $new_modules[] = $value;
	   }
	}
	$modules = array_map( 'sanitize_text_field', $_POST['fl-modules'] );
	$modules = array_merge($modules,$new_modules);
	update_option( '_fl_builder_enabled_modules', $modules );
}
?>
<div id="fl-njba-modules-form" class="fl-settings-form">
    <h3 class="fl-settings-form-header"><?php _e( 'Enabled Ninja Beaver Modules', 'fl-builder' ); ?></h3>
    <form id="modules-form" action="<?php NJBA_Settings_Page::njbaRenderFormAction( 'modules' ); ?>" method="post">
        <div class="fl-settings-form-content">
            <p><?php _e( 'Check or uncheck modules below to enable or disable them.', 'fl-builder' ); ?></p>
			<?php
			$categories      = FLBuilderModel::get_categorized_modules( true );
			$enabled_modules = FLBuilderModel::get_enabled_modules();
			$checked         = in_array( 'all', $enabled_modules, true ) ? 'checked' : '';
			?>
			<?php foreach ( $categories as $title => $modules ) :
				if ( $title == 'Content Modules - NJBA' || $title == 'Creative Modules - NJBA' || $title == 'Separator Modules - NJBA' || $title == 'Carousel Modules - NJBA' || $title == 'Form Style Modules - NJBA' || $title == 'Social Modules - NJBA' ) {
					?>
                    <h3 class="module-cat"><?php echo $title; ?></h3>
					<?php
					foreach ( $modules as $module ) :
						$checked = in_array( $module->slug, $enabled_modules, true ) ? 'checked' : '';
						?>
                        <p>
                            <label>
                                <input class="fl-module-cb" type="checkbox" name="fl-modules[]" value="<?php echo $module->slug; ?>" <?php echo $checked; ?> />
								<?php echo $module->name; // echo $module->enabled;
								?>
                            </label>
                        </p>
					<?php endforeach;
				}
			endforeach; ?>
        </div>
        <p class="submit">
            <input type="submit" name="update" class="button-primary" value="<?php esc_attr_e( 'Save Module Settings', 'bb-njba' ); ?>"/>
        </p>
    </form>
</div>
